


Xaccel(1)                                               Xaccel(1)


NNAAMMEE
       Accelerated-X  3.1  -  Advanced X Window System Server for
       UNIX on x86 platforms

SSYYNNOOPPSSIISS
       XXaacccceell [:displaynumber] [ option ] ...

DDEESSCCRRIIPPTTIIOONN
       _X_a_c_c_e_l is a highly optimized X Window Display  server  for
       various  graphics  adapters. The software is optimized for
       graphics accelerators and will show only moderate  perfor-
       mance  improvement over normal X Servers on standard VGA &
       SVGA chipsets.

       _X_a_c_c_e_l  should  be  configured  by  the  XXsseettuupp   utility.
       Because  of this, the configuration file rarely needs man-
       ual edits.  Therefore this manual page doesn't attempt  to
       explain  all  the  tricks.   Instead the various items are
       described in the form of a reference in the hardcopy  man-
       ual.

       The Server configuration file specifies the use of several
       further files or directories, as well as  Server  options.
       The  most significant files for the Server, are those that
       specify the board configuration(s) and the monitor.  Those
       file  formats  are also described in this man page.  Apart
       from those, the Server also needs to know the  mapping  of
       colors,  where  to  find  fonts  and how to connect to the
       mouse.


NNEETTWWOORRKK CCOONNNNEECCTTIIOONNSS
       _X_a_c_c_e_l supports  connections  made  using  reliable  byte-
       streams.   The  acceptable  connection  types  are listed,
       showing the internal name used (the same as that  for  the
       XLOCAL  environment  parameter,  below) notes and then the
       Operating System families that might use  that  connection
       service.

       _S_t_r_e_a_m_s _P_s_e_u_d_o _T_e_r_m_i_n_a_l _(AATTTT_)
           _X_a_c_c_e_l   uses  _/_d_e_v_/_X_/_s_e_r_v_e_r_.nn  as  the  filename  for
           streams pty, where  _n  is  the  display  number.   The
           device used is /dev/ptmx. (SCO, ISC, SVR4).

       _S_t_r_e_a_m_s _P_i_p_e _(SSCCOO_)
           _X_a_c_c_e_l  uses _/_d_e_v_/_Xnn[RS] as the filename for a streams
           pipe, where _n is the display number.  The device  used
           is  /dev/spx. (SCO, ISC, SVR4 (only 4.0.4 or higher)).

       _N_a_m_e_d _P_i_p_e _(NNAAMMEEDD_)
           _X_a_c_c_e_l uses _/_d_e_v_/_X_/_N_s_e_r_v_e_r_.nn as the filename  for  the
           named pipe, where _n is the display number. (SVR4).





X Version 11            Accelerated-X 3.1                       1





Xaccel(1)                                               Xaccel(1)


       _U_n_i_x _D_o_m_a_i_n _S_o_c_k_e_t _(UUNNIIXX_, IISSCC_)
           _X_a_c_c_e_l  uses _/_t_m_p_/_._X_1_1_-_u_n_i_x_/_Xnn as the filename for the
           socket, where _n is  the  display  number.  For  SVR3.2
           (SCO,  ISC)  this uses a streams pipe as emulation via
           /dev/spx.  Note that this mechanism doesn't work under
           SVR4.2.  (SCO,  ISC,  SVR4,  BSD/OS,  LINUX,  FreeBSD,
           NetBSD).

       _T_C_P_/_I_P _S_o_c_k_e_t
           _X_a_c_c_e_l listens on port htons(6000+_n), where _n  is  the
           display   number,  (SCO,  ISC,  SVR4,  BSD/OS,  LINUX,
           FreeBSD, NetBSD).

OOPPTTIIOONNSS
       There are many options you can use with the _X_a_c_c_e_l server.
       Most  of them are also present in the _/_e_t_c_/_X_a_c_c_e_l_._i_n_i file
       and we  recommended  specifying  them  in  _/_e_t_c_/_X_a_c_c_e_l_._i_n_i
       rather  than  using the command line option.  All versions
       of the _X_a_c_c_e_l server accept  the  following  command  line
       options:

       --aa _n_u_m_b_e_r
               sets  pointer  acceleration (i.e. the ratio of how
               much motion is reported to how much the user actu-
               ally moved the mouse).  [Default: 2]

       --aacc     disables  host-based  access  control  mechanisms.
               Enables access by any host, and permits  any  host
               to  modify  the  access  control  list.   Use with
               extreme caution.  This option exists primarily for
               running  test  suites  remotely.  [Default: access
               control enabled; use xhost, xauth to change]

       --aauuddiitt _l_e_v_e_l
               Sets the audit trail level.  At level 1, only con-
               nection  rejections  are  reported.  Level 2 addi-
               tionally reports all  successful  connections  and
               disconnects.   Level  0 turns off the audit trail.
               Audit lines are sent  as  standard  error  output.
               [Default: 1; cannot be dynamically configured]

       --aauutthh _a_u_t_h_o_r_i_z_a_t_i_o_n_-_f_i_l_e
               Specifies  a  file  which contains a collection of
               authorization records used to authenticate access.
               See  also  the  _x_d_m  and  _X_s_e_c_u_r_i_t_y  manual pages.
               [Default: none]

       bbcc      disables certain kinds of error checking, for  bug
               compatibility  with  previous  releases  (e.g., to
               work around bugs in R2 and R3  xterms  and  toolk-
               its).   Deprecated.   [Default: no bug compatibil-
               ity; set xset]

       --bbss     disables backing store  support  on  all  screens.



X Version 11            Accelerated-X 3.1                       2





Xaccel(1)                                               Xaccel(1)


               [Default: backing store enabled]

       --ccoo _f_i_l_e_n_a_m_e
               sets  name of RGB color database.  [Default: $XAC-
               CELHOME/etc/Xrgb; set  in  Xaccel.ini;  cannot  be
               dynamically configured]

       --ccoorree   causes the server to generate a core dump on fatal
               errors.  [Default: do not generate core; cannot be
               dynamically configured]

       --ddppii _r_e_s_o_l_u_t_i_o_n
               sets  the  resolution  of  the screen, in dots per
               inch.  To be used when the server cannot determine
               the screen size from the hardware.

       --ff _v_o_l_u_m_e
               sets  feep (bell) volume (allowable range: 0-100).
               [Default: 50; set with xset]

       --ffcc _c_u_r_s_o_r_F_o_n_t
               sets default cursor font.  [Default: "cursor"; set
               with xset]

       --ffnn _f_o_n_t
               sets  the  default  font.   [Default: "fixed"; set
               with xset]

       --ffpp _f_o_n_t_P_a_t_h
               sets the search path for fonts.  This  path  is  a
               comma  separated  list  of directories which the X
               server searches  for  font  databases.   [Default:
               configured by /etc/Xaccel.ini; set with xset]

       --hheellpp   prints a usage message.  [Default: helpless]

       --II      causes  all remaining command line arguments to be
               ignored.  [Default: off]

       --pp _m_i_n_u_t_e_s
               sets screen-saver pattern cycle time  in  minutes.
               [Default: 10; set with xset]

       --ppnn     permits the server to continue running if it fails
               to establish all of its  well-known  sockets,  but
               establishes  at least one.  [Default: requires all
               sockets]

       --rr      turns  off  auto-repeat.   [Default:   auto-repeat
               enabled; set with xset]

       rr       turns   on   auto-repeat.   [Default:  auto-repeat
               enabled; set with xset]




X Version 11            Accelerated-X 3.1                       3





Xaccel(1)                                               Xaccel(1)


       --ss _m_i_n_u_t_e_s
               sets  screen-saver  timeout   time   in   minutes.
               [Default: 10 minutes; set with xset]

       --ssuu     disables   save  under  support  on  all  screens.
               [Default:  save-unders  enabled;  not  dynamically
               configurable]

       --tt _n_u_m_b_e_r
               sets  pointer  acceleration  threshold  in  pixels
               (i.e. after how many pixels  pointer  acceleration
               should take effect).  [Default: 4; set with xset]

       --tteerrmmiinnaattee
               causes  the  server  to terminate at server reset,
               instead of continuing to  run.   [Default:  server
               continues; cannot be dynamically configured]

       --ttoo _s_e_c_o_n_d_s
               sets   default   connection  timeout  in  seconds.
               [Default: 60 seconds]

       --ttsstt    disables  all  testing  extensions  (e.g.,  XTEST,
               XTestExtension1).    [Default:   test   extensions
               enabled]

       vv       sets   blank-screen    screen-saver.     [Default:
               enabled]

       --vv      sets  drawing-screen screen-saver.  [Default: dis-
               abled]

       vvtt_x_x    forces the server to  use  the  specified  virtual
               terminal [Default: use next available VT]

       --wwmm     forces the default backing-store of all windows to
               be WhenMapped; a cheap trick way of getting  back-
               ing-store to apply to all windows.  [Default: off]

       You can also have the X server connect to _x_d_m using XDMCP.
       Although this is not typically useful as it does not allow
       _x_d_m to manage the server process, it can be used to  debug
       XDMCP  implementations, and serves as a sample implementa-
       tion of the server side of XDMCP.  For more information on
       this  protocol, see the _X _D_i_s_p_l_a_y _M_a_n_a_g_e_r _C_o_n_t_r_o_l _P_r_o_t_o_c_o_l
       specification.  The following options control the behavior
       of XDMCP.

       --qquueerryy _h_o_s_t_-_n_a_m_e
               Enable  XDMCP and send Query packets to the speci-
               fied host.  [Default: none]

       --bbrrooaaddccaasstt
               Enable XDMCP and broadcast BroadcastQuery  packets



X Version 11            Accelerated-X 3.1                       4





Xaccel(1)                                               Xaccel(1)


               to the network.  The first responding display man-
               ager will be chosen for  the  session.   [Default:
               none]

       --iinnddiirreecctt _h_o_s_t_-_n_a_m_e
               Enable XDMCP and send IndirectQuery packets to the
               specified host.  [Default: none]

       --ppoorrtt _p_o_r_t_-_n_u_m
               Use an alternate port number  for  XDMCP  packets.
               Must be specified before any -query, -broadcast or
               -indirect options.  [Default: 177]

       --ccllaassss _d_i_s_p_l_a_y_-_c_l_a_s_s
               XDMCP has an additional display qualifier used  in
               resource   lookup  for  display-specific  options.
               This option sets that  value,  by  default  it  is
               "MIT-Unspecified"   (not  a  very  useful  value).
               [Default: MIT-Unspecified]

       --ccooookkiiee _x_d_m_-_a_u_t_h_-_b_i_t_s
               When testing XDM-AUTHENTICATION-1, a  private  key
               is  shared  between  the  server  and the manager.
               This option sets the value of  that  private  data
               (not that it is very private, being on the command
               line!).  [Default: none]

       --ddiissppllaayyIIDD _d_i_s_p_l_a_y_-_i_d
               Yet another XDMCP specific value, this one  allows
               the  display  manager  to identify each display so
               that it can  locate  the  shared  key.   [Default:
               none]


SSCCOO CCOOMMPPAATTIIBBIILLIITTYY OOPPTTIIOONNSS
       The  SCO  version of _X_a_c_c_e_l accepts one additional command
       line option for compatibility with _s_c_o_l_o_g_i_n:

       --ccrrtt _d_e_v_i_c_e
               specifies the console  multiscreen  on  which  the
               server  is displayed. Only the last two characters
               of _d_e_v_i_c_e are actually use. Hence --ccrrtt 0011 is  per-
               fectly legal.  [Default: next available]


SSVVRR44 CCOOMMPPAATTIIBBIILLIITTYY OOPPTTIIOONNSS
       In order to be compatible with other SVR4 X-Servers _X_a_c_c_e_l
       provides the following additional command line options:

       --ccmmaapp   Ignored. Most drivers default to 256 colors, which
               makes it unnecessary to support this option.

       --ccoonnffiigg Ignored.  _X_a_c_c_e_l  always uses _$_H_O_M_E_/_._X_a_c_c_e_l_._i_n_i or
               _/_e_t_c_/_X_a_c_c_e_l_._i_n_i  as  the  configuration  file  for



X Version 11            Accelerated-X 3.1                       5





Xaccel(1)                                               Xaccel(1)


               security reasons.

       --rreennddeerreerr
               Ignored.  All  possible font renderers are present
               all the time.

       --xxnneettaacccceessss oonn
               --xxnneettaacccceessss ooffff tells the server to  disable  host
               based  access  control (on) or to enable it (off).
               This is basically the same as the _-_a_c option.


FFOONNTT RREENNDDEERREERRSS
       Accelerated-X loads  font-renderers  only  when  they  are
       needed.  This  reduces  memory  usage and allows Xaccel to
       start faster. The following font  file  formats  are  sup-
       ported (listed by extension):


            BBiittmmaapp FFoonnttss   *.bdf, *.bdf.Z, *.snf, *.snf.Z, *.pcf,
                           *.pcf.Z,

            TTyyppee11 FFoonnttss    *.pfa, *.pfb

            SSppeeeeddoo FFoonnttss   *.spd


EEXXTTEENNSSIIOONNSS
       Accelerated-X loads Extensions only when they are  needed,
       which is when a client starts to use a extension. The fol-
       lowing extensions are included by default:

            BIG-REQUESTS
            DOUBLE-BUFFER
            MIT-SCREEN-SAVER
            MIT-SHM
            MIT-SUNDRY-NONSTANDARD
            RECORD
            SHAPE
            SYNC
            X3D-PEX
            XC-MISC
            XIE
            XIdle
            XTEST
            XTestExtension1
            XsightExtension


HHOOTT KKEEYYSS
       Accelerated-X provides some HotKeys for controlling  vari-
       ous  features.  Each of these HotKeys consists of pressing
       the Left ALT key together with the CONTROL  key  (left  or
       right) along with a third key:



X Version 11            Accelerated-X 3.1                       6





Xaccel(1)                                               Xaccel(1)


       CCOONNTTRROOLL--AALLTT--NNuummbbeerrppaadd__++ aanndd CCOONNTTRROOLL--AALLTT--NNuummbbeerrppaadd__--
               Change  the  resolution  on  the  fly, if you have
               specified multiple resolutions with Xsetup  or  in
               the configuration file.

       CCOONNTTRROOLL--AALLTT--BBAACCKKSSPPAACCEE
               This  keystroke  sequence  may  be disabled in the
               configuration file.  This  will  kill  the  server
               immediately and terminate all clients with extreme
               prejudice.

       CCOONNTTRROOLL--AALLTT--<<FFuunnccttiioonn kkeeyy FF11 -- FF1122 oorr lleetttteerrss HH,, NN aanndd PP>>
               Alternate  sequences  to  force  Virtual  Terminal
               Switching. Some operating systems don't handle VT-
               Switching if they are running X.  By  using  these
               alternate  keys  you still can switch to an alter-
               nate Virtual Terminal session.



CCOONNFFIIGGUURRAATTIIOONN FFIILLEESS
       Accelerated-X uses a few key configuration files,  all  in
       ASCII  form.  They  are described in detail below.  System
       Administrators and technical staff may want to  edit  them
       directly rather than using the Xsetup utility.

       Xaccel uses 4 types of configurable files:

            Xaccel.ini     top  level  configuration file for the
                           X-Server

            Xsiteinfo      site-wide configuration file for site-
                           administrators.

            *.xqa          graphics board description files

            *.vda          monitor  description  files (VESA Dis-
                           play Information Format)

       Xaccel.ini points to the xqa/vda files used by the Server.
       All  xqa-files are found under $XACCELHOME/boards/{vendor-
       name}  and  the  vda-files  are  under   $XACCELHOME/moni-
       tors/{vendorname}.


SSIIGGNNAALLSS
       The  X  server  attaches  special meaning to the following
       signals:

       _S_I_G_H_U_P  This signal causes the server to close all  exist-
               ing  connections,  free all resources, and restore
               all defaults.  It is sent by the  display  manager
               whenever the main user's main application (usually
               an _x_t_e_r_m or window manager)  exits  to  force  the



X Version 11            Accelerated-X 3.1                       7





Xaccel(1)                                               Xaccel(1)


               server  to clean up and prepare for the next user.

       _S_I_G_T_E_R_M This signal causes the server to exit cleanly.

       _S_I_G_U_S_R_1 This signal is used quite differently from  either
               of  the  above.  When the server starts, it checks
               to see if it  has  inherited  SIGUSR1  as  SIG_IGN
               instead  of  the usual SIG_DFL.  In this case, the
               server sends a SIGUSR1 to its parent process after
               it has set up the various connection schemes.  _X_d_m
               uses this feature to recognize when connecting  to
               the  server  is  possible. Note that after startup
               the server will reuse this signal internally.

FFIILLEESS
       FFiixxeedd LLooccaattiioonnss::

            /dev/xsvc                     Accelerated-X    System
                                          Services

            /etc/Xaccel.ini
            $HOME/.Xaccel.ini             The Configuration File

       IISSCC,, SSCCOO
            /usr/bin/X11/Xaccel           X-Server
            /usr/bin/X11/Xsetup           Setup Utility
            /usr/lib/X11/AcceleratedX     $XACCELHOME

       UUnniixxWWaarree
            /usr/X/bin/Xaccel             X-Server
            /usr/X/bin/Xsetup             Setup Utility
            /usr/X/lib/AcceleratedX       $XACCELHOME

       SSoollaarriiss
            /usr/openwin/bin/Xaccel       X-Server
            /usr/openwin/bin/Xsetup       Setup Utility
            /usr/openwin/lib/AcceleratedX $XACCELHOME

       BBSSDD//OOSS
            /usr/X11/bin/Xaccel           X-Server
            /usr/X11/bin/Xsetup           Setup Utility
            /usr/X11/lib/X11/AcceleratedX $XACCELHOME

       LLIINNUUXX,, FFrreeeeBBSSDD,, NNeettBBSSDD
            /usr/X11R6/bin/Xaccel         X-Server
            /usr/X11R6/bin/Xsetup         Setup Utility
            /usr/X11R6/lib/X11/AcceleratedX
                                          $XACCELHOME

       RReellaattiivvee LLooccaattiioonnss

            $XACCELHOME/boards            Graphics board configu-
                                          ration files




X Version 11            Accelerated-X 3.1                       8





Xaccel(1)                                               Xaccel(1)


            $XACCELHOME/etc               Server support files

            $XACCELHOME/keyboards         Keyboard layouts

            $XACCELHOME/modules           Loadable drivers, font-
                                          renderers & extensions

            $XACCELHOME/monitors          Monitor   configuration
                                          files

SSEEEE AALLSSOO
       General information: X(1)

       Protocols: _X _W_i_n_d_o_w _S_y_s_t_e_m _P_r_o_t_o_c_o_l_, _T_h_e  _X  _F_o_n_t  _S_e_r_v_i_c_e
       _P_r_o_t_o_c_o_l_, _X _D_i_s_p_l_a_y _M_a_n_a_g_e_r _C_o_n_t_r_o_l _P_r_o_t_o_c_o_l

       Fonts:  bdftopcf(1),  mkfontdir(1),  xfs(1),  xlsfonts(1),
       xfontsel(1), xfd(1), _X _L_o_g_i_c_a_l  _F_o_n_t  _D_e_s_c_r_i_p_t_i_o_n  _C_o_n_v_e_n_-
       _t_i_o_n_s

       Security: Xsecurity(1), xauth(1), Xau(1), xdm(1), xhost(1)

       Starting the server: xdm(1), xinit(1)

       Controlling the server once started: xset(1), xsetroot(1),
       xhost(1)































X Version 11            Accelerated-X 3.1                       9


